This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 247111

Summary: Progress API split
Product: platform Reporter: Svata Dedic <sdedic>
Component: ProgressAssignee: Svata Dedic <sdedic>
Status: RESOLVED FIXED    
Severity: normal CC: JPESKA
Priority: P1    
Version: 8.1   
Hardware: PC   
OS: Linux   
Issue Type: TASK Exception Reporter:
Bug Depends on:    
Bug Blocks: 247200    

Description Svata Dedic 2014-09-15 08:31:19 UTC
The progress API contains dependencies on Swing, which are unwanted for non-desktop apps. The API can be splitted as proposed in changeset jet-main#5bb3abca7a62 (branch server_split).
Comment 1 Quality Engineering 2014-10-18 05:13:20 UTC
Integrated into 'main-silver', will be available in build *201410180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/76c8212674f0
User: Svata Dedic <sdedic@netbeans.org>
Log: #247111: Progress API changes redone for better compatibility, tests added
Comment 2 Svata Dedic 2015-03-31 08:30:28 UTC
Already implemented.